#
# spec file for package perl-CPAN-Uploader
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name CPAN-Uploader
Name:           perl-CPAN-Uploader
Version:        0.103018
Release:        1.11
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Upload things to the CPAN
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Getopt::Long::Descriptive) >= 0.084
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(LWP::Protocol::https) >= 1
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Getopt::Long::Descriptive) >= 0.084
Requires:       perl(HTTP::Request::Common)
Requires:       perl(HTTP::Status)
Requires:       perl(LWP::Protocol::https) >= 1
Requires:       perl(LWP::UserAgent)
Requires:       perl(Term::ReadKey)
%{perl_requires}

%description
upload things to the CPAN

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Jan 15 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.103018
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103018  2023-01-13 21:11:24-05:00 America/New_York
  - a bit of refactoring and testing of .pause parser (thanks, Shlomi
    Fish)
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.103017
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103017  2022-12-31 21:14:55-05:00 America/New_York
  - update author contact info
* Mon Nov  1 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.103016
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103016  2021-10-30 22:49:45-04:00 America/New_York
  - update author contact info
  - add policy on required versions of perl
  - drop prereq on File::HomeDir (thanks, Karen Etheridge)
  - document the CPAN_UPLOADER_URI env var (thanks, Marcus Ramberg)
  - fix some text and behavior around reaching max retries (thansk,
    Thibault DUPONCHELLE)
* Sat Aug 22 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.103015
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103015  2020-08-20 23:07:25-04:00 America/New_York
  - quiet a harmless warning
* Mon Jun  8 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.103014
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103014  2020-06-07 13:40:36-04:00 America/New_York
  - add a --retries option to make multiple upload attempts in the face
    of a 500 error (thanks, PERLANCAR)
* Thu Sep  8 2016 coolo@suse.com
- updated to 0.103013
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103013  2016-09-06 19:18:12-04:00 America/New_York
  - the cpan-uploader program now skips directories, while the
    upload_file method throws an exception on non-files; thanks to
    Vincent Pit for reporting the weird behavior when trying to upload a
    directory
* Sat Jan  2 2016 coolo@suse.com
- updated to 0.103012
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103012  2015-12-31 21:41:09-05:00 America/New_York
  - don't chomp undef (Graham Knop)
* Tue Oct  6 2015 coolo@suse.com
- updated to 0.103011
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103011  2015-10-05 21:45:26-04:00 America/New_York
  - document the availability of Config::Identity-based encrypted config
* Sun Aug 23 2015 coolo@suse.com
- updated to 0.103010
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103010  2015-08-10 22:23:25-04:00 America/New_York
  - add --md5 option to print md5sum of uploaded files (Vincent Pit)
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.103009
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103009  2015-05-27 13:56:16-04:00 America/New_York
  - Do (minor) validation on the user in the config file (Mark Fowler)
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.103008
  see /usr/share/doc/packages/perl-CPAN-Uploader/Changes
  0.103008  2015-02-08 22:09:59-05:00 America/New_York
  - fix documentation link to cpan-upload/CONFIGURATION (Kent Fredric)
  - you can now "cpan-upload http://some.cool/file.tgz" (Barbie)
  - add --ignore-errors for cpan-upload (perlancar)
  0.103007  2014-04-04 22:02:22-04:00 America/New_York
  - added "-c" option to cpan-uploader to specify an alternate config
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.103006
    update bugtracker and repo metadata
    Use Config::Identity to permit GPG-encrypting on-disk credentials
    (thanks, Mike Doherty)
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.103004
    like 0.103003, but a production release
    use https by default (thanks, Mike Doherty)
    cpan-uploader now can take a list of filenames to upload (Thanks,
    Gabor Szabo!)
* Wed May 23 2012 coolo@suse.com
- updated to 0.103001
  * Small fixes about upload_uri usage (Getty)
* Sat Apr 16 2011 coolo@opensuse.org
- updated to 0.103000
  * allow an alternate upload_uri via constructor arg or env var
* Mon Jan 17 2011 coolo@novell.com
- initial package 0.102150
  * created by cpanspec 1.78.03
